Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
unapprovedlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $UnapprovdLimit = $ini->variable( "eZForumMain", "UnApprovdLimit" )
| $t
| $locale = new eZLocale( $Language )
| $message = new eZForumMessage()
| $messages = $message->getAllUnApproved( $Offset, $UnapprovdLimit )
| $messageCount = $message->unApprovedCount()
| $languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/unapprovedlist.php.ini", false )
| $true = $languageIni->variable( "strings", "true" )
| $false = $languageIni->variable( "strings", "false" )
if(! $messages) | else

## Variable Documentation

## ◆ $false

$false = $languageIni->variable( "strings", "false" )

Definition at line 61 of file unapprovedlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 28 of file unapprovedlist.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 30 of file unapprovedlist.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/unapprovedlist.php.ini", false )

Definition at line 59 of file unapprovedlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 52 of file unapprovedlist.php.

## ◆ $message

$message = new eZForumMessage()

Definition at line 54 of file unapprovedlist.php.

## ◆ $messageCount

$messageCount = $message->unApprovedCount()

Definition at line 57 of file unapprovedlist.php.

## ◆ $messages

$messages = $message->getAllUnApproved( $Offset, $UnapprovdLimit )

Definition at line 56 of file unapprovedlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/admin/" . $ini->variable( "eZForumMain", "AdminTemplateDir" ),
"kernel/ezforum/admin/" . "/intl", $Language, "unapprovedlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: unapprovedlist.php:30
$ini
$ini
Definition: unapprovedlist.php:28

Definition at line 43 of file unapprovedlist.php.

## ◆ $true

$true = $languageIni->variable( "strings", "true" )

Definition at line 60 of file unapprovedlist.php.

## ◆ $UnapprovdLimit

$UnapprovdLimit = $ini->variable( "eZForumMain", "UnApprovdLimit" )

Definition at line 31 of file unapprovedlist.php.

## ◆ else

if (! $messages) else

Initial value:
{
$i = 0
$i
$i
Definition: admin/adlist.php:91

Definition at line 68 of file unapprovedlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.